version: '3.6'
services:
  minio:
    # Storge s3
    image: minio/minio:RELEASE.2020-10-18T21-54-12Z
    restart: always
    volumes:
      - ./minio-data:/minio-data/data
    ports:
      - "9005:9000"
    environment:
      S3_BUCKET: 'uploads'
      MINIO_ACCESS_KEY: 'you-access-key' ## min 8 character
      MINIO_SECRET_KEY: 'you-secret-key' ## min 8 character
    command: server /minio-data/data
    entrypoint: sh
    command: "-c 'mkdir -p /minio-data/data/uploads && /usr/bin/minio server /minio-data/data'"
    networks: 
      - convert-network

  convert-api:
    # Custom API
    image: registry.gitlab.com/dat.wido/geo-convert-api
    depends_on:
      - "minio"
    ports:
      - 8085:8080
    restart: unless-stopped
    environment:
      S3_ENDPOINT: 'http://minio:9000'
      S3_BUCKET: 'uploads'
      S3_ACCESS_KEY_ID: 'you-access-key'
      S3_SECRET_KEY: 'you-secret-key'
    networks: 
      - convert-network

networks:
  convert-network:
    driver: bridge
